package com.xzzn.ems.service;

import com.xzzn.ems.domain.EmsPcsData;

import java.util.List;

/**
 * PCS数据Service接口
 *
 * @author xzzn
 * @date 2025-06-27
 */
public interface IEmsPcsDataService
{
    /**
     * 查询PCS数据
     *
     * @param id PCS数据主键
     * @return PCS数据
     */
    public EmsPcsData selectEmsPcsDataById(Long id);

    /**
     * 查询PCS数据列表
     *
     * @param emsPcsData PCS数据
     * @return PCS数据集合
     */
    public List<EmsPcsData> selectEmsPcsDataList(EmsPcsData emsPcsData);

    /**
     * 新增PCS数据
     *
     * @param emsPcsData PCS数据
     * @return 结果
     */
    public int insertEmsPcsData(EmsPcsData emsPcsData);

    /**
     * 修改PCS数据
     *
     * @param emsPcsData PCS数据
     * @return 结果
     */
    public int updateEmsPcsData(EmsPcsData emsPcsData);

    /**
     * 批量删除PCS数据
     *
     * @param ids 需要删除的PCS数据主键集合
     * @return 结果
     */
    public int deleteEmsPcsDataByIds(Long[] ids);

    /**
     * 删除PCS数据信息
     *
     * @param id PCS数据主键
     * @return 结果
     */
    public int deleteEmsPcsDataById(Long id);
}
